Agora Java API Reference for Android

Public Attributes | Static Public Attributes | List of all members
io.agora.base.ColorSpacePrimaries Class Reference

## Public Attributes
float | fRX
float | fRY
float | fGX
float | fGY
float | fBX
float | fBY
float | fWX
float | fWY

## Static Public Attributes
static final ColorSpacePrimaries | BT709
static final ColorSpacePrimaries | BT470M
static final ColorSpacePrimaries | BT470BG
static final ColorSpacePrimaries | SMPTE170M
static final ColorSpacePrimaries | SMPTE240M
static final ColorSpacePrimaries | APPLE_GENERIC_RGB
static final ColorSpacePrimaries | WIDE_GAMUT_COLOR_SPIN
static final ColorSpacePrimaries | FILM
static final ColorSpacePrimaries | BT2020
static final ColorSpacePrimaries | SMPTEST428_1
static final ColorSpacePrimaries | SMPTEST431_2
static final ColorSpacePrimaries | SMPTEST432_1
static final ColorSpacePrimaries | XYZ_D50
static final ColorSpacePrimaries | ADOBE_RGB

## Member Data Documentation

## ◆ BT709

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.BT709
| static

Initial value:
=
new ColorSpacePrimaries(0.640f, 0.330f, 0.300f, 0.600f, 0.150f, 0.060f, 0.3127f, 0.3290f)

## ◆ BT470M

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.BT470M
| static

Initial value:
=
new ColorSpacePrimaries(0.67f, 0.33f, 0.21f, 0.71f, 0.14f, 0.08f, 0.31f, 0.316f)

## ◆ BT470BG

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.BT470BG
| static

Initial value:
=
new ColorSpacePrimaries(0.64f, 0.33f, 0.29f, 0.60f, 0.15f, 0.06f, 0.3127f, 0.3290f)

## ◆ SMPTE170M

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.SMPTE170M
| static

Initial value:
=
new ColorSpacePrimaries(0.630f, 0.340f, 0.310f, 0.595f, 0.155f, 0.070f, 0.3127f, 0.3290f)

## ◆ SMPTE240M

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.SMPTE240M
| static

Initial value:
=
new ColorSpacePrimaries(0.630f, 0.340f, 0.310f, 0.595f, 0.155f, 0.070f, 0.3127f, 0.3290f)

## ◆ APPLE_GENERIC_RGB

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.APPLE_GENERIC_RGB
| static

Initial value:
= new ColorSpacePrimaries(
0.63002f, 0.34000f, 0.29505f, 0.60498f, 0.15501f, 0.07701f, 0.3127f, 0.3290f)

## ◆ WIDE_GAMUT_COLOR_SPIN

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.WIDE_GAMUT_COLOR_SPIN
| static

Initial value:
=
new ColorSpacePrimaries(0.01f, 0.98f, 0.01f, 0.01f, 0.98f, 0.01f, 0.3127f, 0.3290f)

## ◆ FILM

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.FILM
| static

Initial value:
=
new ColorSpacePrimaries(0.681f, 0.319f, 0.243f, 0.692f, 0.145f, 0.049f, 0.310f, 0.136f)

## ◆ BT2020

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.BT2020
| static

Initial value:
=
new ColorSpacePrimaries(0.708f, 0.292f, 0.170f, 0.797f, 0.131f, 0.046f, 0.3127f, 0.3290f)

## ◆ SMPTEST428_1

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.SMPTEST428_1
| static

Initial value:
=
new ColorSpacePrimaries(1.0f, 0.0f, 0.0f, 1.0f, 0.0f, 0.0f, 1.0f / 3.0f, 1.0f / 3.0f)

## ◆ SMPTEST431_2

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.SMPTEST431_2
| static

Initial value:
=
new ColorSpacePrimaries(0.680f, 0.320f, 0.265f, 0.690f, 0.150f, 0.060f, 0.314f, 0.351f)

## ◆ SMPTEST432_1

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.SMPTEST432_1
| static

Initial value:
=
new ColorSpacePrimaries(0.680f, 0.320f, 0.265f, 0.690f, 0.150f, 0.060f, 0.3127f, 0.3290f)

## ◆ XYZ_D50

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.XYZ_D50
| static

Initial value:
=
new ColorSpacePrimaries(1.0f, 0.0f, 0.0f, 1.0f, 0.0f, 0.0f, 0.34567f, 0.35850f)

## ◆ ADOBE_RGB

final ColorSpacePrimaries io.agora.base.ColorSpacePrimaries.ADOBE_RGB
| static

Initial value:
= new ColorSpacePrimaries(
0.6400f, 0.3300f, 0.2100f, 0.7100f, 0.1500f, 0.0600f, 0.3127f, 0.3290f)